<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lista de Contato</title>
</head>
<body>


    <h1>Lista de Contatos</h1>
    <form action="/contato" method="POST">
    <div> <label for="nome">Nome</label> <input type="text" name="nome" id="nome" placeholder="Nome" />
    <label for="telefone">Telefone</label> <input type="text" name="telefone" id="telefone" placeholder="(DDD) 9999-99999" /> 
 
    <input type="submit" value="Adicionar"/> 
    </div>
</form>


<div  th:if="${mensagem}" th:text="${mensagem}"></div>

<ul th:if="${lista}">
    <li th:each="nomeContato : ${lista}" th:text="${nomeContato}"></li>

</ul>

</body>
</html>